ChiliProject - Feature # 906: Add Link back to Parent of Subtask

Status: Closed Priority: Normal

Author: A Samz Category: User interface

Created: 2012-02-27 Assignee:

Updated: 2012-04-05 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: Great job on this project. We just installed 3.0.0 in our QA environment to give it a test and one thing that we

found we really missed from Redmine is the ability to link back to a parent of a subtask.

This really makes the workflow of setting up subtasks for larger requests smooth and easy.
As such I'd like to ask for this feature.

Associated revisions

2008-07-20 07:26 pm - Jean-Philippe Lang

Search engine: display total results count (#906) and count by result type.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1681 €93f8b46-1217-0410-a6f0-8f06a7374b81

2012-03-20 09:25 am - Felix SchAxfer

Issue hierarchy on issue show view #906

History

2012-02-27 03:11 pm - A Samz

| for got to mention that | uploaded a screen capture from Redmine of this functionality. Pictures being worth a 1,000 words and what-not.

2012-03-01 01:02 am - Felix Schéfer

Thanks for the report, it seems it's been lost in the redesign/retheming.

Romano, was there some specific plan to show parent issues?

2012-03-14 12:01 pm - Chris Déhn
Hi,

| experienced the missing links already after upgrading to 2.6.0 - in the former 2.5.0 release the links are displayed and it was possible to create

subtasks, which doesn't work any more since 2.6.0.

Is this a known bug?

ciao,
Chris

2012-03-15 11:45 pm - Felix Schéafer
- Target version set to 3.1.0

- Assignee set to Felix Schéafer

- Affected version set to 3.0.0

This is indeed a bug, | have a patch | need to review and ask someone else to review and commit afterwards.
2012-03-17 02:38 pm - Felix Schafer
- Assignee deleted (Felix Schéfer)

- Status changed from Open to Ready for review

- File simple_tree.png added

I've reworked the subissues section on the issue view to show the parents and subtree at once, see:

Isimple_tree.png!

Corresponding "pull request":https://github.com/chiliproject/chiliproject/pull/163

(This is also based on work from Romano, thanks!)

2012-03-20 09:24 am - Felix Schéfer

- Status changed from Ready for review to Closed

Committed in commit:565aeabc79.

2012-03-20 01:46 pm - Guillaume Bourque

Felix SchAefer wrote:

> Committed in commit:565aeabc79.

Hi Felix,

I'm not a dev so maybe | missed a step, | did a clone on the repo

>git clone git://github.com/chiliproject/chiliproject.git

Then swithc to the master branch where this commit is available | think !

> git checkout master

Then | can verify that | have the new files | have check this file

> vi config/locales/en.yml

And | see the new lines so | should be fine.

| connect to this test version of chili in English or french but stil dont see parent task.

Any idea what | could be missing (i did a migration bundle exec rake db:migrate RAILS_ENV=production )

Thanks

2012-03-20 01:51 pm - Guillaume Bourque
Hi,

Ok | see now, from the parent Task we see the childs this is perfect.
But from the child we don't see that we have a parent and this is very interesting to have too, well | think

Thanks

2012-03-20 04:20 pm - Felix Schéafer

| just tested on master, the "Issue hierarchy" section should show the parents, the issue itself and its subtree (if either or both parents or a subtree

exist), the issue itself in the tree is shown in black text instead of red text.

2012-03-20 10:00 pm - Gregor Schmidt
#788 is a duplicate of this issue.

2012-03-21 02:33 am - Guillaume Bourque

Felix SchArfer wrote:

> | just tested on master, the "Issue hierarchy" section should show the parents, the issue itself and its subtree (if either or both parents or a subtree
exist), the issue itself in the tree is shown in black text instead of red text.

Well this is not what | see on my updated chiliproject 3.0, i wiil try on a new install and reports what | see.

thanks for the great work.

Guillaume

2012-04-05 09:01 am - Chris Dahn
Hi,

as | mentioned before ADDING new subtickets still fails since version 2.6.0 - now tested with 3.1.0 and same problem.

| even tested it with old tickets which have subtickets where this problem still occurs.

Has somebody removed the functionality for creating subtickets?

ciao,

Chris

Files

link.png 4.1 kB 2012-02-27 A Samz
simple_tree.png 16.1 kB 2012-03-17 Felix Schéafer
